/// <reference types="react" />
import { Theme } from '@mui/material';
declare const CardHeader: import("@emotion/styled").StyledComponent<{
    action?: import("react").ReactNode;
    avatar?: import("react").ReactNode;
    classes?: Partial<import("@mui/material").CardHeaderClasses>;
    disableTypography?: boolean;
    subheader?: import("react").ReactNode;
    subheaderTypographyProps?: import("@mui/material").TypographyProps<"span", {
        component?: "span";
    }>;
    sx?: import("@mui/material").SxProps<Theme>;
    title?: import("react").ReactNode;
    titleTypographyProps?: import("@mui/material").TypographyProps<"span", {
        component?: "span";
    }>;
} & import("@mui/material/OverridableComponent").CommonProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: import("react").Ref<HTMLDivElement>;
}, keyof import("@mui/material/OverridableComponent").CommonProps | "title" | "action" | "sx" | "avatar" | "disableTypography" | "subheader" | "subheaderTypographyProps" | "titleTypographyProps"> & import("@mui/system").MUIStyledCommonProps<Theme>, {}, {}>;
export default CardHeader;
